Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 4109)
+++ trunk/BNC/bnchelp.html	(revision 4128)
@@ -103,5 +103,5 @@
 <li>for post-processing purposes.</li>
 </ul>
-Furthermore, apart from its regular window mode, BNC can be run as a batch/background job in a 'no window' mode using processing options from a previously saved configuration.
+Furthermore, apart from its regular window mode, BNC can be run as a batch/background job in a 'no window' mode using processing options from a previously saved configuration or from command line.
 </p>
 <p>
@@ -571,5 +571,5 @@
 
 <p><a name="reqcedit"><h4>4.6.2 Set Edit Options - mandatory if 'Edit/Concatenate' is set</h4></p>
-<p>Once the 'Edit/Concatenate' action is selected, you have to 'Set Edit Options'. BNC lets you specify the RINEX version, sampling rate, begin and end of file and marker, antenna, receiver details.
+<p>Once the 'Edit/Concatenate' action is selected, you have to 'Set Edit Options'. BNC lets you specify the RINEX version, sampling rate, begin and end of file, operator, comment lines, and marker, antenna, receiver details.
 </p>
 <p>
@@ -581,7 +581,12 @@
 </ul>
 </p>
+<p>Optionally you may specify a comment line text to be added to the emerging new RINEX file header. Any introduction of a newline through '\n' in this enforces the beginning of a further comment line. Comment line(s) will be added to the header after the 'PGM / RUN BY / DATE' record. Default is an empty option field meaning that no additional comment line is added to the RINEX header.</p>
+  <p>Specifying a 'RUN BY' string to be included in the emerging new RINEX file header is another option. Default is an empty option field meanig the operator's ID is automatically used as 'RUN BY' string.</p>
 <p>
 If you specify a 'New' but no 'Old' marker/antenna/receiver name, the corresponding data field in the emerging new RINEX file will be filled accordingly. If you in addition specify an 'Old' marker/antenna/receiver name, the corresponding data field in the emerging new RINEX file will only be filled accordingly where 'Old' specifications match existing file contents.
 </p>
+
+<p><img src="IMG/screenshot27.png"/></p>
+<p><u>Figure 7:</u> Example for 'RINEX Editing Options' window.</p>
 
 <p><a name="reqcinput"><h4>4.6.3 Input Files - mandatory if 'Action' is set</h4></p>
@@ -592,15 +597,14 @@
 <p>When specifying several input files BNC will concatenate their contents.</p>
 
-</p>
+<p><a name="reqcoutput"><h4>4.6.4 Output Files - mandatory if 'Action' is set</h4></p>
+<p>
+If 'Edit/Concatenate' is selected, specifying the a path to output RINEX observation file(s) and specifying a full path to output RINEX navigation file(s) is mandatory.</p> 
+
+<p>
+If if 'Analyze' is selected, specifying logfile(s) to output analysis results is mandatory.<br> 
+</p> 
+
 <p><img src="IMG/screenshot25.png"/></p>
 <p><u>Figure 7:</u> Example for RINEX file editing with BNC in post-processing mode.</p>
-
-<p><a name="reqcoutput"><h4>4.6.4 Output Files - mandatory if 'Action' is set</h4></p>
-<p>
-If 'Edit/Concatenate' is selected, specifying the a path to output RINEX observation file(s) and specifying a full path to output RINEX navigation file(s) is mandatory.</p> 
-
-<p>
-If if 'Analyze' is selected, specifying logfile(s) to output analysis results is mandatory.<br> 
-</p> 
 
 <p><a name="reqccommand"><h4>4.6.5 Command Line, No Window - optional</h4></p>
@@ -1956,5 +1960,5 @@
 
 <p>
-The following screenshot shows the encoding and uploading of a stream of precise orbits and clocks coming from a real-time engine in 'RTNET' ASCII format. The stream is uploaded to NTRIP Broadcaster 'products.igs-ip.net'. It is referred to APC and IGS08. Uploaded data are locally saved in SP3 and Clock RINEX format. Required Broadcast Ephemeris are received via stream 'RTCM3EPH'.
+The following screenshot shows the encoding and uploading of a stream of precise orbits and clocks coming from a real-time engine in 'RTNET' ASCII format. The stream is uploaded to NTRIP Broadcaster 'products.igs-ip.net'. It is referred to APC and IGS08. Uploaded data are locally saved in SP3 and Clock RINEX format. Required Broadcast Ephemeris are received via stream 'RTCM3EPH'. The SSR Provider ID is set to 3. The SSR Solution ID is and the Issue of Date SSR are set to 1. 
 </p>
 <p><img src="IMG/screenshot26.png"/></p>