Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 4134)
+++ trunk/BNC/bnchelp.html	(revision 4135)
@@ -18,7 +18,5 @@
 </p>
 
-<h3>Contents</h3>
-<p>
-<h4>
+<p><b>Contents</b><br>
 <a href=#purpose>1. Purpose</a><br>
 <a href=#resources>2. Modes &amp; Resources</a><br>
@@ -26,7 +24,31 @@
 <a href=#optsettings>4. Settings</a><br>
 <a href=#limits>5. Limitations &amp; Known Bugs</a><br>
-<a href=#authors>6. Authors</a><br>
-<a href=#annex>7. Annex</a><br>
-</h4>
+<a href=#annex>6. Annex</a><br>
+</p>
+
+<p>
+<b><a name="authors">Authors</b><br>
+The BKG Ntrip Client (BNC) Qt Graphic User Interface (GUI) has been developed for the Federal Agency for Cartography and Geodesy (BKG) by Leos Mervart, Czech Technical University Prague, Department of Geodesy. BNC includes the following GNU GPL software components: 
+<ul>
+<li> RTCM 2 decoder, written by Oliver Montenbruck, German Space Operations Center, DLR, Oberpfaffenhofen</li> 
+<li> RTCM 3 decoder for standard messages and a RTCM 3 encoder & decoder for SSR messages, both written for BKG by Dirk Stoecker, Alberding GmbH, Schoenefeld</li>
+</ul>
+</p>
+<p>
+Georg Weber<br>
+Federal Agency for Cartography and Geodesy (BKG)<br>
+Frankfurt, Germany<br>
+[euref-ip@bkg.bund.de] or [igs-ip@bkg.bund.de]
+</p>
+
+<p>
+<b>Acknowledgements</b><br>
+BNC's Help Contents has been proofread by Thomas Yan, University of New South Wales, Australia.<br>
+Scott Glazier, OmniSTAR Australia has been helpful in finding BNC's bugs.<br>
+James Perlt, BKG, helped fixing bugs and redesigned BNC's main window.<br>
+Andre Hauschild, German Space Operations Center, DLR, revised the RTCM Version 2 decoder.<br>
+Zdenek Lukes, Czech Technical University Prague, Department of Geodesy, extended the RTCM Version 2 decoder to handle message types 3, 20, 21, and 22 and added loss of lock indicator.<br>
+Jan Dousa, Geodetic Observatory Pecny, Czech Republic, provided a tool for drawing stream distribution maps and also helped with fixing bugs.<br>
+Denis Laurichesse, Centre National d'Etudes Spatiales (CNES), suggested synchronizing observations and clock corrections to reduce high frequency noise in PPP solutions.
 </p>
 
@@ -2333,44 +2355,19 @@
 Once BNC has been started, many of its configuration options cannot be changed as long as it is stopped. See chapter 'Reread Configuration' for on-the-fly configuration exceptions.
 </li>
-
-</ul>
-<p><a name="authors"><h3>6. Authors</h3></p>
-<p>
-The BKG Ntrip Client (BNC) Qt Graphic User Interface (GUI) has been developed for the Federal Agency for Cartography and Geodesy (BKG) by Leos Mervart, Czech Technical University Prague, Department of Geodesy. BNC includes the following GNU GPL software components: 
-<ul>
-<li> RTCM 2 decoder, written by Oliver Montenbruck, German Space Operations Center, DLR, Oberpfaffenhofen</li> 
-<li> RTCM 3 decoder, written for BKG by Dirk Stoecker, Alberding GmbH, Schoenefeld</li>
-</ul>
-</p>
-<p>
-Georg Weber<br>
-Federal Agency for Cartography and Geodesy (BKG)<br>
-Frankfurt, Germany<br>
-[euref-ip@bkg.bund.de] or [igs-ip@bkg.bund.de]
-</p>
-<p>
-<b>Acknowledgements</b><br>
-BNC's Help Contents has been proofread by Thomas Yan, University of New South Wales, Australia.<br>
-Scott Glazier, OmniSTAR Australia has been helpful in finding BNC's bugs.<br>
-James Perlt, BKG, helped fixing bugs and redesigned BNC's main window.<br>
-Andre Hauschild, German Space Operations Center, DLR, revised the RTCM Version 2 decoder.<br>
-Zdenek Lukes, Czech Technical University Prague, Department of Geodesy, extended the RTCM Version 2 decoder to handle message types 3, 20, 21, and 22 and added loss of lock indicator.<br>
-Jan Dousa, Geodetic Observatory Pecny, Czech Republic, provided a tool for drawing stream distribution maps and also helped with fixing bugs.<br>
-Denis Laurichesse, Centre National d'Etudes Spatiales (CNES), suggested synchronizing observations and clock corrections to reduce high frequency noise in PPP solutions.
-</p>
-
-<p><a name="annex"><h3>7. Annex</h3></p>
-<p>
-7.1. <a href=#history>Revision History</a><br>
-7.2. <a href=#rtcm>RTCM</a><br>
-&nbsp; &nbsp; &nbsp; 7.2.1 NTRIP <a href=#ntrip1>Version 1</a><br>
-&nbsp; &nbsp; &nbsp; 7.2.2 NTRIP <a href=#ntrip2>Version 2</a><br>
-&nbsp; &nbsp; &nbsp; 7.2.3 RTCM <a href=#rtcm2>Version 2</a><br>
-&nbsp; &nbsp; &nbsp; 7.2.4 RTCM <a href=#rtcm3>Version 3</a><br>
-7.3. <a href=#config>Configuration Example</a><br>
-7.4. <a href=#links>Links</a><br>
-</p>
-
-<p><a name=history><h4>7.1 Revision History</h3></p>
+</ul>
+
+<p><a name="annex"><h3>6. Annex</h3></p>
+<p>
+6.1. <a href=#history>Revision History</a><br>
+6.2. <a href=#rtcm>RTCM</a><br>
+&nbsp; &nbsp; &nbsp; 6.2.1 NTRIP <a href=#ntrip1>Version 1</a><br>
+&nbsp; &nbsp; &nbsp; 6.2.2 NTRIP <a href=#ntrip2>Version 2</a><br>
+&nbsp; &nbsp; &nbsp; 6.2.3 RTCM <a href=#rtcm2>Version 2</a><br>
+&nbsp; &nbsp; &nbsp; 6.2.4 RTCM <a href=#rtcm3>Version 3</a><br>
+6.3. <a href=#config>Configuration Example</a><br>
+6.4. <a href=#links>Links</a><br>
+</p>
+
+<p><a name=history><h4>6.1 Revision History</h3></p>
 <table>
 <tr></tr>
@@ -2469,5 +2466,5 @@
 </p>
 
-<p><a name="rtcm"><h4>7.2. RTCM</h4></p>
+<p><a name="rtcm"><h4>6.2. RTCM</h4></p>
 
 <p>
@@ -2477,5 +2474,5 @@
 </p>
 
-<p><a name="ntrip1"><h4>7.2.1 NTRIP Version 1</h4></p>
+<p><a name="ntrip1"><h4>6.2.1 NTRIP Version 1</h4></p>
 
 <p>
@@ -2516,5 +2513,5 @@
 </p>
 
-<p><a name="ntrip2"><h4>7.2.2 NTRIP Version 2</h4></p>
+<p><a name="ntrip2"><h4>6.2.2 NTRIP Version 2</h4></p>
 
 <p>
@@ -2534,5 +2531,5 @@
 </p>
 
-<p><a name="rtcm2"><h4>7.2.3 RTCM Version 2</h4></p>
+<p><a name="rtcm2"><h4>6.2.3 RTCM Version 2</h4></p>
 <p>
 Transmitting GNSS carrier phase data can be done through RTCM Version 2 messages. Please note that only RTCM Version 2.2 and 2.3 streams may include GLONASS data. Messages that may be of some interest here are:
@@ -2572,5 +2569,5 @@
 </ul>
 
-<p><a name="rtcm3"><h4>7.2.4 RTCM Version 3</h4></p>
+<p><a name="rtcm3"><h4>6.2.4 RTCM Version 3</h4></p>
 <p>
 RTCM Version 3 has been developed as a more efficient alternative to RTCM Version 2. Service providers and vendors have asked for a standard that would be more efficient, easy to use, and more easily adaptable to new situations. The main complaint was that the Version 2 parity scheme was wasteful of bandwidth. Another complaint was that the parity is not independent from word to word. Still another was that even with so many bits devoted to parity, the actual integrity of the message was not as high as it should be. Plus, 30-bit words are awkward to handle. The Version 3 standard is intended to correct these weaknesses.
@@ -2646,5 +2643,5 @@
 </p>
 
-<p><a name="config"><h4>7.3. Configuration Example</h4></p>
+<p><a name="config"><h4>6.3. Configuration Example</h4></p>
 <p>
 The following table's left column is an example for the contents of a configuration file 'BNC.ini'. It enables the retrieval of an observations stream via NTRIP for the generation of 15 min RINEX files:
@@ -2807,5 +2804,5 @@
 </p>
 
-<p><a name="links"><h4>7.4 Links</h3></p>
+<p><a name="links"><h4>6.4 Links</h3></p>
 <table>
 <tr></tr>