Index: /trunk/BNC/bncsettings.cpp
===================================================================
--- /trunk/BNC/bncsettings.cpp	(revision 4173)
+++ /trunk/BNC/bncsettings.cpp	(revision 4174)
@@ -170,8 +170,7 @@
       setValue_p("uploadMountpointsOut","");
       setValue_p("uploadIntr",          "1 day");
-      setValue_p("uploadSamplRtcmClkCorr", "5");
       setValue_p("uploadSamplRtcmEphCorr", "0");
       setValue_p("uploadSamplSp3",         "1");
-      setValue_p("uploadSamplClkRnx",      "5");
+      setValue_p("uploadSamplClkRnx",     "10");
       setValue_p("trafo_dx",            "");
       setValue_p("trafo_dy",            "");
Index: /trunk/BNC/bncwindow.cpp
===================================================================
--- /trunk/BNC/bncwindow.cpp	(revision 4173)
+++ /trunk/BNC/bncwindow.cpp	(revision 4174)
@@ -559,11 +559,4 @@
     _uploadIntrComboBox->setCurrentIndex(ii);
   }
-  _uploadSamplRtcmClkCorrSpinBox = new QSpinBox;
-  _uploadSamplRtcmClkCorrSpinBox->setMinimum(5);
-  _uploadSamplRtcmClkCorrSpinBox->setMaximum(60);
-  _uploadSamplRtcmClkCorrSpinBox->setSingleStep(5);
-  _uploadSamplRtcmClkCorrSpinBox->setMaximumWidth(9*ww);
-  _uploadSamplRtcmClkCorrSpinBox->setValue(settings.value("uploadSamplRtcmClkCorr").toInt());
-  _uploadSamplRtcmClkCorrSpinBox->setSuffix(" sec");
 
   _uploadSamplRtcmEphCorrSpinBox = new QSpinBox;
@@ -594,5 +587,4 @@
   if (iRowT > 0) {
     enableWidget(true, _uploadIntrComboBox);
-    enableWidget(true, _uploadSamplRtcmClkCorrSpinBox);
     enableWidget(true, _uploadSamplRtcmEphCorrSpinBox);
     enableWidget(true, _uploadSamplSp3SpinBox);
@@ -601,5 +593,4 @@
   else {
     enableWidget(false, _uploadIntrComboBox);
-    enableWidget(false, _uploadSamplRtcmClkCorrSpinBox);
     enableWidget(false, _uploadSamplRtcmEphCorrSpinBox);
     enableWidget(false, _uploadSamplSp3SpinBox);
@@ -1130,13 +1121,11 @@
   uploadHlpLayout->addWidget(new QLabel("Interval"),         0, 2, Qt::AlignRight);
   uploadHlpLayout->addWidget(_uploadIntrComboBox,            0, 3);
-  uploadHlpLayout->addWidget(new QLabel("   Sampling: Clk"), 0, 4, Qt::AlignRight);
-  uploadHlpLayout->addWidget(_uploadSamplRtcmClkCorrSpinBox, 0, 5);
-  uploadHlpLayout->addWidget(new QLabel("Orb"),              0, 6, Qt::AlignRight);
-  uploadHlpLayout->addWidget(_uploadSamplRtcmEphCorrSpinBox, 0, 7);
-  uploadHlpLayout->addWidget(new QLabel("SP3"),              0, 8, Qt::AlignRight);
-  uploadHlpLayout->addWidget(_uploadSamplSp3SpinBox,         0, 9);
-  uploadHlpLayout->addWidget(new QLabel("RNX"),              0,10, Qt::AlignRight);
-  uploadHlpLayout->addWidget(_uploadSamplClkRnxSpinBox,      0,11);
-  uploadHlpLayout->addWidget(setUploadTrafoButton,           0,12);
+  uploadHlpLayout->addWidget(new QLabel("Sampling: Orb"),    0, 4, Qt::AlignRight);
+  uploadHlpLayout->addWidget(_uploadSamplRtcmEphCorrSpinBox, 0, 5);
+  uploadHlpLayout->addWidget(new QLabel("SP3"),              0, 6, Qt::AlignRight);
+  uploadHlpLayout->addWidget(_uploadSamplSp3SpinBox,         0, 7);
+  uploadHlpLayout->addWidget(new QLabel("RNX"),              0, 8, Qt::AlignRight);
+  uploadHlpLayout->addWidget(_uploadSamplClkRnxSpinBox,      0, 9);
+  uploadHlpLayout->addWidget(setUploadTrafoButton,           0,10);
 
   QBoxLayout* uploadLayout = new QBoxLayout(QBoxLayout::TopToBottom);
@@ -1292,5 +1281,4 @@
   delUploadRowButton->setWhatsThis(tr("Hit 'Del Row' button to delete the highlighted line from the stream upload table."));
   _uploadIntrComboBox->setWhatsThis(tr("Select the length of the SP3 and Clock RINEX files."));
-  _uploadSamplRtcmClkCorrSpinBox->setWhatsThis(tr("Select the Clock Correction sampling interval in seconds. A value of zero '0' tells BNC to upload all available samples."));
   _uploadSamplRtcmEphCorrSpinBox->setWhatsThis(tr("Select the Ephemeris Correction sampling interval in seconds. A value of zero '0' tells BNC to upload all available samples."));
   _uploadSamplClkRnxSpinBox->setWhatsThis(tr("Select the Clock RINEX file sampling interval in seconds. A value of zero '0' tells BNC to store all available samples into Clock RINEX files."));
@@ -1753,5 +1741,4 @@
   }
   settings.setValue("uploadIntr",             _uploadIntrComboBox->currentText());
-  settings.setValue("uploadSamplRtcmClkCorr", _uploadSamplRtcmClkCorrSpinBox->value());
   settings.setValue("uploadSamplRtcmEphCorr", _uploadSamplRtcmEphCorrSpinBox->value());
   settings.setValue("uploadSamplSp3",         _uploadSamplSp3SpinBox->value());
@@ -2237,5 +2224,4 @@
   if (iRow > 0) {
     enableWidget(true, _uploadIntrComboBox);
-    enableWidget(true, _uploadSamplRtcmClkCorrSpinBox);
     enableWidget(true, _uploadSamplRtcmEphCorrSpinBox);
     enableWidget(true, _uploadSamplClkRnxSpinBox);
@@ -2244,5 +2230,4 @@
   else {
     enableWidget(false, _uploadIntrComboBox);
-    enableWidget(false, _uploadSamplRtcmClkCorrSpinBox);
     enableWidget(false, _uploadSamplRtcmEphCorrSpinBox);
     enableWidget(false, _uploadSamplClkRnxSpinBox);
@@ -2465,5 +2450,4 @@
   if (nRows < 1) {
     enableWidget(false, _uploadIntrComboBox);
-    enableWidget(false, _uploadSamplRtcmClkCorrSpinBox);
     enableWidget(false, _uploadSamplRtcmEphCorrSpinBox);
     enableWidget(false, _uploadSamplSp3SpinBox);
Index: /trunk/BNC/bncwindow.h
===================================================================
--- /trunk/BNC/bncwindow.h	(revision 4173)
+++ /trunk/BNC/bncwindow.h	(revision 4174)
@@ -233,5 +233,4 @@
     QTableWidget* _uploadTable;
     QComboBox*    _uploadIntrComboBox;
-    QSpinBox*     _uploadSamplRtcmClkCorrSpinBox;
     QSpinBox*     _uploadSamplRtcmEphCorrSpinBox;
     QSpinBox*     _uploadSamplSp3SpinBox;
Index: /trunk/BNC/upload/bncrtnetuploadcaster.cpp
===================================================================
--- /trunk/BNC/upload/bncrtnetuploadcaster.cpp	(revision 4173)
+++ /trunk/BNC/upload/bncrtnetuploadcaster.cpp	(revision 4174)
@@ -48,7 +48,10 @@
   bncSettings settings;
   QString     intr  = settings.value("uploadIntr").toString();
-  int         sampl = settings.value("uploadSampl").toInt();
-  _samplOrb = settings.value("uploadSamplOrb").toDouble();
-  if (_samplOrb == 0.0) {
+
+  _samplRtcmEphCorr  = settings.value("uploadSamplRtcmEphCorr").toDouble();
+  double samplClkRnx = settings.value("uploadSamplClkRnx").toDouble();
+  double samplSp3    = settings.value("uploadSamplSp3").toDouble() * 60.0;
+
+  if (_samplRtcmEphCorr == 0.0) {
     _usedEph = 0;
   }
@@ -60,5 +63,5 @@
   // ----------
   if (!outFileName.isEmpty()) {
-    _outFile = new bncoutf(outFileName, intr, sampl);
+    _outFile = new bncoutf(outFileName, intr, 0);
   }
   else {
@@ -69,5 +72,5 @@
   // ------------
   if (!rnxFileName.isEmpty()) {
-    _rnx = new bncClockRinex(rnxFileName, intr, sampl);
+    _rnx = new bncClockRinex(rnxFileName, intr, samplClkRnx);
   }
   else {
@@ -78,5 +81,5 @@
   // ----------
   if (!sp3FileName.isEmpty()) {
-    _sp3 = new bncSP3(sp3FileName, intr, _samplOrb);
+    _sp3 = new bncSP3(sp3FileName, intr, samplSp3);
   }
   else {
@@ -298,5 +301,5 @@
       // ----------------------------------------------------------------
       if (_usedEph) {
-        if (fmod(epoTime.gpssec(), _samplOrb) == 0.0) {
+        if (fmod(epoTime.gpssec(), _samplRtcmEphCorr) == 0.0) {
           (*_usedEph)[prn] = eph;
         }
@@ -396,5 +399,5 @@
   // Orbit and Clock Corrections together
   // ------------------------------------
-  if (_samplOrb == 0.0) {
+  if (_samplRtcmEphCorr == 0.0) {
     if (co.NumberOfGPSSat > 0 || co.NumberOfGLONASSSat > 0) {
       char obuffer[CLOCKORBIT_BUFFERSIZE];
@@ -411,5 +414,5 @@
     if (co.NumberOfGPSSat > 0) {
       char obuffer[CLOCKORBIT_BUFFERSIZE];
-      if (fmod(epoTime.gpssec(), _samplOrb) == 0.0) {
+      if (fmod(epoTime.gpssec(), _samplRtcmEphCorr) == 0.0) {
         int len1 = MakeClockOrbit(&co, COTYPE_GPSORBIT, 1, obuffer, sizeof(obuffer));
         if (len1 > 0) {
@@ -425,5 +428,5 @@
     if (co.NumberOfGLONASSSat > 0) {
       char obuffer[CLOCKORBIT_BUFFERSIZE];
-      if (fmod(epoTime.gpssec(), _samplOrb) == 0.0) {
+      if (fmod(epoTime.gpssec(), _samplRtcmEphCorr) == 0.0) {
         int len1 = MakeClockOrbit(&co, COTYPE_GLONASSORBIT, 1, obuffer, sizeof(obuffer));
         if (len1 > 0) {
Index: /trunk/BNC/upload/bncrtnetuploadcaster.h
===================================================================
--- /trunk/BNC/upload/bncrtnetuploadcaster.h	(revision 4173)
+++ /trunk/BNC/upload/bncrtnetuploadcaster.h	(revision 4174)
@@ -44,5 +44,5 @@
   int            _SID;
   int            _IOD;
-  double         _samplOrb;
+  double         _samplRtcmEphCorr;
   double         _dx;
   double         _dy;