Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 4178)
+++ trunk/BNC/bnchelp.html	(revision 4184)
@@ -262,4 +262,5 @@
 &nbsp; &nbsp; &nbsp; 4.13.1.2 <a href=#combimethod>Method</a><br>
 &nbsp; &nbsp; &nbsp; 4.13.1.3 <a href=#combimax>Maximal Residuum</a><br>
+&nbsp; &nbsp; &nbsp; 4.13.1.4 <a href=#combismpl>Sampling</a><br>
 4.14. <a href=#upclk>Upload (clk)</a><br>
 &nbsp; &nbsp; &nbsp; 4.14.1 <a href=#upadd>Add, Delete Row</a><br>
@@ -595,5 +596,5 @@
 
 <p><a name="reqcedit"><h4>4.6.2 Set Edit Options - mandatory if 'Edit/Concatenate' is set</h4></p>
-<p>Once the 'Edit/Concatenate' action is selected, you have to 'Set Edit Options'. BNC lets you specify the RINEX version, sampling rate, begin and end of file, operator, comment lines, and marker, antenna, receiver details.
+<p>Once the 'Edit/Concatenate' action is selected, you have to 'Set Edit Options'. BNC lets you specify the RINEX version, sampling interval, begin and end of file, operator, comment lines, and marker, antenna, receiver details.
 </p>
 <p>
@@ -642,5 +643,5 @@
 where &lt;keyName&gt; stands for the name of an option contained in the configuration file and &lt;keyValue&gt; stands for the value you want to assign to it. This functionality may be helpful in the 'RINEX Editing & QC' context when running BNC on a routine basis for maintaining a RINEX file archive.
 </p>
-The following example for a Linux platform calls BNC in 'no window' mode with a local configuration file 'rnx.conf' for concatenating four 15min RINEX files residing in the local directory to produce an hourly RINEX Version 3 file with 30 seconds sampling rate:
+The following example for a Linux platform calls BNC in 'no window' mode with a local configuration file 'rnx.conf' for concatenating four 15min RINEX files residing in the local directory to produce an hourly RINEX Version 3 file with 30 seconds sampling interval:
 </p>
 <p>
@@ -670,5 +671,5 @@
 <tr><td>reqcOutLogFile</td><td>Logfile</td></tr>
 <tr><td>reqcRnxVersion</td><td>RINEX version of emerging new file</td></tr>
-<tr><td>reqcSampling</td><td>Sampling rate of emerging new RINEX file</td></tr>
+<tr><td>reqcSampling</td><td>Sampling interval of emerging new RINEX file</td></tr>
 <tr><td>reqcStartDateTime</td><td>Begin of emerging new RINEX file</td></tr>
 <tr><td>reqcEndDateTime</td><td>End of emerging new RINEX file</td></tr>
@@ -1614,5 +1615,5 @@
 </p>
 <p>
-A combination is carried out every 5 seconds. If incoming streams have different rates, only epochs that correspond to the 5 seconds update rate are used.
+A combination is carried out following a specified sampling interval. If incoming streams have different rates, only epochs that correspond to the sampling interval are used.
 </p>
 <p>
@@ -1690,9 +1691,13 @@
 </p>
 
-<p><a name="combimax"><h4>4.13.1.3 Maximal Residuum- mandatory if 'Combination Table' is populated</h4></p>
+<p><a name="combimax"><h4>4.13.1.3 Maximal Residuum - mandatory if 'Combination Table' is populated</h4></p>
 
 <p>BNC combines all incoming clocks according to specified weights. Individual clock estimates that differ by more than 'Maximal Residuum' meters from the average of all clocks will be ignored.<p>
 </p>It is suggested to specify a value of about 0.2 m for the Kalman filter combination approach and a value of about 3.0 meters for the Single-Epoch combination approach.</p>
 <p>Default is a 'Maximal Residuum' of 999.0 meters</p>
+
+<p><a name="combismpl"><h4>4.13.1.4 Sampling - mandatory if 'Combination Table' is populated</h4></p>
+<p>Specify a combination sampling interval. Clock and orbit corrections will be produced following that interval. A value of 10 sec may be an appropriate choice.</p>
+
 
 <p><a name="upclk"><h4>4.14. Upload (clk)</h4></p>
@@ -1728,5 +1733,5 @@
 </p>
 <p>
-BNC requires GNSS clocks and orbits in the IGS Earth-Centered-Earth-Fixed (ECEF) reference system and in a specific ASCII format. The clocks and orbits must be referred to satellite Center of Mass (CoM) and must not contain the conventional periodic relativistic effect. They may be provided by a real-time GNSS engine such as RTNet. The sampling rate for data transmission should not exceed 15 sec. Note that otherwise tools involved in IP streaming such as NTRIP Broadcasters or NTRIP Clients may respond with a timeout.
+BNC requires GNSS clocks and orbits in the IGS Earth-Centered-Earth-Fixed (ECEF) reference system and in a specific ASCII format. The clocks and orbits must be referred to satellite Center of Mass (CoM) and must not contain the conventional periodic relativistic effect. They may be provided by a real-time GNSS engine such as RTNet. The sampling interval for data transmission should not exceed 15 sec. Note that otherwise tools involved in IP streaming such as NTRIP Broadcasters or NTRIP Clients may respond with a timeout.
 </p>
 
@@ -1983,5 +1988,5 @@
 
 <p><a name="upclksmpl"><h4>4.14.8 Sampling - mandatory if 'Upload Table' entries specified</h4></p>
-<p>BNC requires an orbit corrections sampling rate for the stream to be uploaded and sampling rates for SP3 and Clock RINEX files. The outgoing stream's clock correction sampling rate follows that of incoming corrections and is therefore nothing to be specified here.</p>
+<p>BNC requires an orbit corrections sampling interval for the stream to be uploaded and sampling interval for SP3 and Clock RINEX files. The outgoing stream's clock correction sampling interval follows that of incoming corrections and is therefore nothing to be specified here.</p>
 
 <p><a name="upclkorb"><h4>4.14.8.1 Orbits - mandatory if 'Upload Table' entries specified</h4></p>
@@ -2474,5 +2479,5 @@
 <tr>
 <td>Apr 2011 &nbsp;</td><td>Version 2.6 &nbsp;</td>
-<td>[Add] Complete integration of BNS in BNC<br> [Add] SP3 and Clock RINEX output<br> [Add] PPP in Post Processing Mode<br> [Add] Some RINEX editing & QC functionality<br> [Add] Threshold for orbit outliers in combination solution<br> [Add] Real-time engine becomes orbit/clock server instead of client<br> [Mod] 'EOE' added to orbit/clock stream from engine<br> [Add] Correction for antenna eccentricities<br> [Add] Quick start mode for PPP<br> [Mod] Design of format for feeding engine changed to follow RINEX v3<br> [Mod] Implementation of SSR message encoding modified according to standard<br> [Add] SSL/TLS Support of NTRIP Version 2<br> [Mod] Switch to Qt version 4.7.3<br> [Add] RINEX editing, concatenation and quality check<br> [Add] Reading all configuration options from command line<br> [Mod] RTCMv3 Galileo Broadcast Ephemeris message 1045</td>
+<td>[Add] Complete integration of BNS in BNC<br> [Add] SP3 and Clock RINEX output<br> [Add] PPP in Post Processing Mode<br> [Add] Some RINEX editing & QC functionality<br> [Add] Threshold for orbit outliers in combination solution<br> [Add] Real-time engine becomes orbit/clock server instead of client<br> [Mod] 'EOE' added to orbit/clock stream from engine<br> [Add] Correction for antenna eccentricities<br> [Add] Quick start mode for PPP<br> [Mod] Design of format for feeding engine changed to follow RINEX v3<br> [Mod] Implementation of SSR message encoding modified according to standard<br> [Add] SSL/TLS Support of NTRIP Version 2<br> [Mod] Switch to Qt version 4.7.3<br> [Add] RINEX editing, concatenation and quality check<br> [Add] Reading all configuration options from command line<br> [Mod] RTCMv3 Galileo Broadcast Ephemeris message 1045<br> [Mod] Change default configuration file suffix from 'ini' to 'bnc'<br> [Add] Specific rates for orbits and clocks  in streams and SP3/RNX files</td>
 </tr>
 
@@ -2700,5 +2705,5 @@
 <br>
 <li>File 'RinexConcat.bnc'<br>
-The purpose of this configuration is to concatenate RINEX Version 3 files to produce a concatenated file and edit the marker name in the file header. The sampling rate is set to 30 seconds. See section 'RINEX Editing & QC' in the documentation for examples on how to call BNC from command line in 'no window' mode for RINEX file editing, concatenation and quality checks.
+The purpose of this configuration is to concatenate RINEX Version 3 files to produce a concatenated file and edit the marker name in the file header. The sampling interval is set to 30 seconds. See section 'RINEX Editing & QC' in the documentation for examples on how to call BNC from command line in 'no window' mode for RINEX file editing, concatenation and quality checks.
 </li>
 <br>